Comments
Private reply
Send a commenter a Messenger message instead of a public reply.
POST
/
meta
/
v25.0
/
{pageId}
/
messages
Private reply
curl --request POST \
--url https://gateway.hookmyapp.com/meta/v25.0/{pageId}/messages \
--header 'Content-Type: application/json' \
--data '
{
"recipient.comment_id": "<string>",
"message.text": "<string>"
}
'import requests
url = "https://gateway.hookmyapp.com/meta/v25.0/{pageId}/messages"
payload = {
"recipient.comment_id": "<string>",
"message.text": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({'recipient.comment_id': '<string>', 'message.text': '<string>'})
};
fetch('https://gateway.hookmyapp.com/meta/v25.0/{pageId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sends a Messenger message to the author of a comment on one of the Page’s posts.
Authentication
Use thehmat_ channel token from GET /meta/channels/{id}/token or hookmyapp channels token <channel>. Do not use an hmok_ API key for this call.
Authorization: Bearer hmat_...
Path parameters
string
required
The connected Page id.
Request body
string
required
The comment id,
{postId}_{commentId} or numeric.string
required
Message text.
Example
curl -X POST "https://gateway.hookmyapp.com/meta/v25.0/{PAGE_ID}/messages" \
-H "Authorization: Bearer hmat_..." \
-H "Content-Type: application/json" \
-d '{
"recipient": { "comment_id": "500000000000001_500000000000002" },
"message": { "text": "Sent you the details here." }
}'
Successful response
{ "recipient_id": "200000000000001", "message_id": "m_AbCdEfGhIjKlMnOpQrSt" }
One private reply per comment, within 7 days of the comment. A rejection is permanent for that comment; retrying cannot succeed.
⌘I
Private reply
